ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Tc.Gen.Export

# Documentation

rnExports :: Bool -> Maybe (LocatedL [LIE GhcPs]) -> RnM TcGblEnv Source #

exports_from_avail Source #

Arguments

:: Maybe (LocatedL [LIE GhcPs]) | `Nothing` means no explicit export list
-> GlobalRdrEnv |
-> ImportAvails | Imported modules; this is used to test if a `module Foo` export is valid (it's not valid if we didn't import `Foo`!)
-> Module |
-> RnM (Maybe [(LIE GhcRn, Avails)], Avails) |